# Web Refresh From Backend

# Backend UI Reload Module

This is a technical module that allows triggering a UI reload from the backend. It enables triggering the reload action for selected users and record IDs.

## 🔧 Helper Function: `reload_views`

A special helper function `reload_views` is added to the `res.users` model.

### Arguments

Argument | Type | Description
--- | --- | ---
model | `Char` | Model name, e.g. `'res.partner'`
view_types | `List of Char` (optional) | View types to reload, e.g. `["form", "kanban"]`. Leave blank to reload all views.
rec_ids | `List of Integer` (optional) | The view will be reloaded only if a record with an ID from this list is present in the view.

## ⚠️ Important Notes

Use this function wisely.

When reloading form views, be aware that if a user is currently editing a record, their unsaved updates may be lost.

Table of contents

# Usage

## 🧩 Example Usage

Below is a code snippet showing how to use the `reload_views` helper function.

    # Reload the kanban and form views for all salespeople when an opportunity is won
    # Will reload views only if the current opportunity is being displayed

    group_id = self.env.ref("sales_team.group_sale_salesman").id
    users_to_reload = self.env["res.users"].search([("groups_id", "in", [group_id])])
    users_to_reload.reload_views(
        model="crm.lead",
        view_types=["kanban", "form"],
        rec_ids=[self.id],
    )

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Cetmix

## Contributors

- Cetmix

## Maintainers

This module is part of the cetmix/cetmix-tower project on GitHub.

You are welcome to contribute.